import axios from 'axios'

const httpRequest = axios.create({
  timeout: 60000,
  withCredentials: true
})

// 请求拦截
httpRequest.interceptors.request.use(
  function (config) {
    return config
  },
  function (error) {
    return Promise.reject(error)
  }
)

// 响应拦截
httpRequest.interceptors.response.use(
  function (response) {
    const { data } = response
    if (data.error.toString() === '1') {
      return Promise.reject(data)
    }
    return response.data
  },
  function (error) {
    if (error.response) {
      return Promise.reject(error.response.data)
    } else {
      return Promise.reject(error)
    }
  }
)

export default httpRequest
