import fs from 'node:fs'
import { resolve } from 'path'
import { fileURLToPath, URL } from 'node:url'

import vue from '@vitejs/plugin-vue2'
import Components from 'unplugin-vue-components/vite'
import { ElementUiResolver } from 'unplugin-vue-components/resolvers'

export default {
  plugins: [
    vue()
    // Components({
    //   resolvers: [ElementUiResolver()]
    // })
  ],
  server: {
    open: true,
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(resolve(__dirname, './https/ezijing.com.key')),
      cert: fs.readFileSync(resolve(__dirname, './https/ezijing.com.pem'))
    },
    proxy: {
      '/api': 'https://project-api.ezijing.com'
    }
  },
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    }
  },
  build: {
    lib: {
      entry: resolve(__dirname, 'src/index.js'),
      name: 'VueForm',
      fileName: 'vue-form'
    },
    rollupOptions: {
      external: ['vue', 'axios'],
      output: {
        globals: {
          vue: 'Vue',
          axios: 'axios'
        }
      }
    }
  }
}
